
/* border-box aktivieren */ 
*, *::before, *::after { box-sizing: border-box; }

/* Sanftes Scrollen aktivieren */ 
html { scroll-behavior: smooth; }

/* Collapsing Margins vermeiden */ 
h1, h2, h3, h4, h5, h6, p, ul, ol, blockquote { margin-top: 0; }

/* Bilder und Videos mit flexibler Breite einbinden */ 
img, video { max-width: 100%; height: auto; }

/* figure ohne horizontale Außenabstände */
figure { margin-left: 0; margin-right: 0; } 


body {
font-family: system-ui, -apple-system, "Segoe UI", Roboto, 
             "Helvetica Neue", Arial, sans-serif; 

/* Definition der Standardschriftgröße  */
font-size: 1rem; 
}  

/* Überschriften - Schriftgröße und Strichstärke */ 
h1 { font-size: 2.5rem; font-weight: 500; } 
h2 { font-size: 2.25rem; font-weight: 500; } 
h3 { font-size: 1.5rem; font-weight: 500; } 
h4 { font-size: 1.25rem; font-weight: 500; }
h5 { font-size: 1.1rem; font-weight: 500}
h6 { font-size: 1rem; } 

/* Unterstreichung für Hyperlinks dünn und etwas weiter weg vom Text */ 
a { text-decoration-thickness: 1px; text-underline-offset: 0.1875em; }